body {
  font-family: Arial;
  text-align: center;
  background: #f4f4f4;
  padding-top: 50px;
}

input {
  display: block;
  margin: 10px auto;
  padding: 10px;
  width: 220px;
}

button {
  padding: 10px;
  margin: 5px;
  cursor: pointer;
}

ul {
  list-style: none;
  padding: 0;
}

li {
  background: white;
  margin: 10px auto;
  padding: 10px;
  width: 300px;
  display: flex;
  justify-content: space-between;
}

.task-input {
  margin-bottom: 20px;
}

li {
  background: white;
  margin: 10px auto;
  padding: 10px;
  width: 320px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.actions button {
  margin-left: 5px;
}

/* EDIT MODE */
.edit-input {
  padding: 5px;
  width: 150px;
}

/* MODAL */
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.5);
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-box {
  background: white;
  padding: 20px;
  border-radius: 10px;
}

.hidden {
  display: none;
}

.toast {
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  background: #333;
  color: white;
  padding: 12px 20px;
  border-radius: 8px;
  font-size: 14px;
  opacity: 0;
  transition: 0.3s ease;
  z-index: 999;
}

.toast.show {
  opacity: 1;
}

.toast.success {
  background: #28a745;
}

.toast.error {
  background: #dc3545;
}

.hidden {
  display: none;
}